<%--0693f8ec47ad28c4d4e7b0512d5a00402011/8/3 22:42:37--%>
<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="Kcms.UI.login" %>
<%@ Import namespace="Kcms.Model" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/*
	本页面代码由Kcms模板引擎生成于 2011/8/4 7:00:42.
	*/
	base.OnInit(e);
	pageBuilder.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	pageBuilder.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\">\r\n");
	pageBuilder.Append("<head>\r\n");
	pageBuilder.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	pageBuilder.Append("<title>");
	pageBuilder.Append(title.ToString());
	pageBuilder.Append("</title>\r\n");
	pageBuilder.Append("<meta name=\"keywords\" content=\"");
	pageBuilder.Append(keywords.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<meta name=\"description\" content=\"");
	pageBuilder.Append(description.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("<link href=\"templates/default/styles/kcms.css\" rel=\"stylesheet\" type=\"text/css\" />\r\n");
	pageBuilder.Append("<script src=\"/scripts/jquery-1.4.1.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#stype\").hover(\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideDown(\"normal\");\r\n");
	pageBuilder.Append("        },\r\n");
	pageBuilder.Append("        function () {\r\n");
	pageBuilder.Append("            $(\".sea ul\").slideUp(\"normal\");\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("    function stys(h, v) {\r\n");
	pageBuilder.Append("        $(\".meun\").html(h);\r\n");
	pageBuilder.Append("        $(\"#searchtype\").val(v);\r\n");
	pageBuilder.Append("    }\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</head>\r\n");
	pageBuilder.Append("<body>\r\n");
	pageBuilder.Append("<div class=\"topbar\">\r\n");
	pageBuilder.Append("  <div class=\"mainbox\"><p>\r\n");

	if (userid==0)
	{

	pageBuilder.Append("    <a href=\"login.aspx\">登录</a> | <a href=\"register.aspx\">注册</a>\r\n");

	}
	else
	{

	pageBuilder.Append("    欢迎您! <em>☺</em> ");
	pageBuilder.Append(username.ToString());
	pageBuilder.Append(" | <a href=\"/usercenter/\">用户中心</a> | <a href=\"loginout.aspx\">退出?</a>\r\n");

	}	//end if

	pageBuilder.Append("  </p></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"mainbox\">\r\n");
	pageBuilder.Append("  <div class=\"logobar clearfix\">\r\n");
	pageBuilder.Append("    <div class=\"logo\"><a href=\"\" title=\"快聚合网赚系统\">快聚合网赚系统</a></div>\r\n");
	pageBuilder.Append("    <div class=\"search\">\r\n");
	pageBuilder.Append("    <div class=\"clearfix\">\r\n");
	pageBuilder.Append("    <form action=\"search.aspx\" method=\"get\">\r\n");
	pageBuilder.Append("        <div class=\"sea\">\r\n");
	pageBuilder.Append("        <div id=\"stype\">\r\n");
	pageBuilder.Append("        <a href=\"javascript:;\" class=\"meun\">资讯</a>\r\n");
	pageBuilder.Append("        <ul>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('专题', 0)\">专题</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('资讯', 1)\">资讯</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('博文', 2)\">博文</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('问答', 3)\">问答</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('图片', 4)\">图片</a></li>\r\n");
	pageBuilder.Append("        <li><a href=\"javascript:stys('视频', 5)\">视频</a></li>\r\n");
	pageBuilder.Append("        </ul>\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"searchtype\" name=\"t\" type=\"hidden\" value=\"1\" />\r\n");
	pageBuilder.Append("        <input id=\"searchkeys\" name=\"wd\" type=\"text\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("        <input id=\"submit\" type=\"submit\" value=\"搜索\" class=\"sea_doc\"/>\r\n");
	pageBuilder.Append("    </form>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <p>\r\n");

	foreach(SearchInfo search in SearchTop(6,false))
	{
	pageBuilder.Append("    <a href=\"search.aspx?t=");
	pageBuilder.Append(search.t.ToString().Trim());
	pageBuilder.Append("&wd=\r\n");
pageBuilder.Append(Server.UrlEncode(search.wd));
	pageBuilder.Append("\">");
	pageBuilder.Append(search.wd.ToString().Trim());
	pageBuilder.Append("</a>\r\n");

	}	//end if

	pageBuilder.Append("    </p>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"nav\">\r\n");
	pageBuilder.Append("    <ul class=\"clearfix\">\r\n");
	pageBuilder.Append("     <li><a href=\"/\">首页</a></li>\r\n");

	if (indexType==1)
	{

	pageBuilder.Append("     <li><a href=\"home.aspx\">综合页</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"news.aspx\">资讯</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"bowen.aspx\">博文</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"pic.aspx\">图片</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"video.aspx\">视频</a></li>\r\n");

	if (indexType==0)
	{

	pageBuilder.Append("     <li><a href=\"ask.aspx\">问答</a></li>\r\n");

	}	//end if

	pageBuilder.Append("     <li><a href=\"special.aspx\">专题</a></li>\r\n");
	pageBuilder.Append("     <li><a href=\"tag.aspx\">标签</a></li>\r\n");
	pageBuilder.Append("    </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div class=\"channel\">\r\n");
	pageBuilder.Append("  <ul class=\"clearfix\">\r\n");

	foreach(ChannelInfo channel in channelList())
	{
	pageBuilder.Append("    <li><a href=\"channel-");
	pageBuilder.Append(channel.id.ToString().Trim());
	pageBuilder.Append(".aspx\">");
	pageBuilder.Append(channel.channelname.ToString().Trim());
	pageBuilder.Append("</a></li>\r\n");

	}	//end loop

	pageBuilder.Append("  </ul>\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("  <div><a href=\"http://www.kuaishow.com/\" target=\"_blank\"><img src=\"templates/default/images/ad-banner.jpg\" width=\"950\" height=\"80\" border=\"0\" /></a></div>\r\n");

	pageBuilder.Append("<script src=\"/inc/artDialog/artDialog.min.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script src=\"scripts/login.js\" type=\"text/javascript\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\">\r\n");
	pageBuilder.Append("    $(function () {\r\n");
	pageBuilder.Append("        $(\"#postform\").submit(function () {\r\n");
	pageBuilder.Append("            if ($(\"#postsubmit\").attr(\"disabled\") == true) {\r\n");
	pageBuilder.Append("                return false;\r\n");
	pageBuilder.Append("            }\r\n");
	pageBuilder.Append("            $(\"#postsubmit\").attr(\"disabled\", \"disabled\");\r\n");
	pageBuilder.Append("            if ($(\"#username\").val() == \"\") {\r\n");
	pageBuilder.Append("                $(\"#w_tip\").html(\"请填写用户名！\");\r\n");
	pageBuilder.Append("                $(\"#username\").focus();\r\n");
	pageBuilder.Append("                $(\"#postsubmit\").attr(\"disabled\", \"\");\r\n");
	pageBuilder.Append("                return false;\r\n");
	pageBuilder.Append("            }\r\n");
	pageBuilder.Append("            if ($(\"#password\").val() == \"\") {\r\n");
	pageBuilder.Append("                $(\"#w_tip\").html(\"请填写登录密码！\");\r\n");
	pageBuilder.Append("                $(\"#password\").focus();\r\n");
	pageBuilder.Append("                $(\"#postsubmit\").attr(\"disabled\", \"\");\r\n");
	pageBuilder.Append("                return false;\r\n");
	pageBuilder.Append("            }\r\n");
	pageBuilder.Append("            if ($(\"#verifycode\").val() == \"\") {\r\n");
	pageBuilder.Append("                $(\"#w_tip\").html(\"请填写验证码！\");\r\n");
	pageBuilder.Append("                $(\"#verifycode\").focus();\r\n");
	pageBuilder.Append("                $(\"#postsubmit\").attr(\"disabled\", \"\");\r\n");
	pageBuilder.Append("                return false;\r\n");
	pageBuilder.Append("            }\r\n");
	pageBuilder.Append("        });\r\n");
	pageBuilder.Append("    });\r\n");
	pageBuilder.Append("</");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("<div class=\"loginbox clearfix\">\r\n");
	pageBuilder.Append("<div class=\"left\"><img src=\"templates/default/images/login.jpg\" alt=\"快聚合助你成功\" /></div>\r\n");
	pageBuilder.Append("<div class=\"right\">\r\n");
	pageBuilder.Append("<div class=\"lbox\">\r\n");
	pageBuilder.Append("<form id=\"postform\" method=\"post\" action=\"\" autocomplete=\"off\" target=\"postdata\">\r\n");
	pageBuilder.Append("    <input type=\"hidden\" name=\"comurl\" id=\"comurl\" value=\"");
	pageBuilder.Append(comurl.ToString());
	pageBuilder.Append("\" />\r\n");
	pageBuilder.Append("    <div class=\"login\">\r\n");
	pageBuilder.Append("    <p><embed src=\"templates/default/images/kcms.swf\" width=\"160\" height=\"18\" quality=\"high\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" type=\"application/x-shockwave-flash\" wmode=\"transparent\"></embed></p>\r\n");
	pageBuilder.Append("    <br />\r\n");
	pageBuilder.Append("    <p class=\"tips\"><span id=\"w_tip\"></span></p>\r\n");
	pageBuilder.Append("    <div><em>用户名：</em><input name=\"username\" type=\"text\" id=\"username\" class=\"inputs\" />\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("    <div><em>密　码：</em><input name=\"password\" type=\"password\" id=\"password\" class=\"inputs\" /> \r\n");
	pageBuilder.Append("        <a href=\"/usercenter/getpass.aspx\" rel=\"nofollow\">忘记密码?</a></div>\r\n");

	if (iserr)
	{

	pageBuilder.Append("    <div><em>验证码：</em><input name=\"verifycode\" type=\"text\" id=\"verifycode\" class=\"inputs\" style=\"width:130px;\" /> <a href=\"javascript:\" title=\"看不清楚，换个图片\"><img onclick=\"this.src=this.src+'?'\" src=\"inc/verify.aspx?");
	pageBuilder.Append(rndtime.ToString());
	pageBuilder.Append("\" alt=\"\" height=\"24\" border=\"0\" align=\"middle\"/></a></div>\r\n");

	}	//end if

	pageBuilder.Append("    <div><em></em><input id=\"rem\" type=\"checkbox\" name=\"rem\" value=\"1\" /><label for=\"rem\">记住密码</label>　<font color=\"olive\">[请不要在公用电脑上开启]</font></div>\r\n");
	pageBuilder.Append("    <div><em></em>\r\n");
	pageBuilder.Append("        <input class=\"postlogin\" id=\"postsubmit\" type=\"submit\" value=\"登录\" />\r\n");
	pageBuilder.Append("        </div>\r\n");
	pageBuilder.Append("    <div class=\"loginb\">还不是会员？<a href=\"/register.aspx\">请注册</a> 只需几秒钟即可完成！</div>\r\n");
	pageBuilder.Append("    </div>\r\n");
	pageBuilder.Append("</form><iframe name=\"postdata\" style=\"display:none;\"></iframe>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<div class=\"lbg\"></div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("  <div class=\"footer\">\r\n");
	pageBuilder.Append("    ");
	pageBuilder.Append(copyright.ToString());
	pageBuilder.Append("\r\n");
	pageBuilder.Append("  </div>\r\n");
	pageBuilder.Append("</div>\r\n");
	pageBuilder.Append("<script type=\"text/javascript\" src=\"http://v1.jiathis.com/code/jia.js\" charset=\"utf-8\"></");
	pageBuilder.Append("script>\r\n");
	pageBuilder.Append("</body>\r\n");
	pageBuilder.Append("</html>\r\n");

	Response.Write(pageBuilder.ToString());
}
</script>
